Subject: Re: Feature registration, IANA considerations

From: Graham Klyne <[email-masked]>
Date: Wed, 18 Nov 1998 12:18:11 +0000

At 12:10 17/11/98 -0800, Ted Hardie wrote:
>Graham,
>	Do you mean that you would like IANA to assign
>ASN.1 oids to the token values themselves?

I didn't mean to change the assignment mechanism.  I was observing that for
tokenized values, there may be a requirement for OIDs for the token values
as well as the feature tag.

I don't see this as a major issue.  Rather, I was throwing off an idea that
occurred to me as I was drafting the feature registrations for the fax
feature schema.

>  If we want
>that, I suspect we need to indicate the mapping in
>the registration from the assigned oid (something like 
>token1=IANA-ASSIGNED-OID.1).  I suspect, though, that
>anyone wanting that level of suport for ASN.1 will want
>their own ASN.1 namespace. 

You're probably right here.

#g

------------
Graham Klyne
([email-masked])